OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.BindableUniform

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTBindableUniform :: MonadIO m => m Bool
- gl_EXT_bindable_uniform :: Bool
- pattern GL_MAX_BINDABLE_UNIFORM_SIZE_EXT :: GLenum
- pattern GL_MAX_FRAGMENT_BINDABLE_UNIFORMS_EXT :: GLenum
- pattern GL_MAX_GEOMETRY_BINDABLE_UNIFORMS_EXT :: GLenum
- pattern GL_MAX_VERTEX_BINDABLE_UNIFORMS_EXT :: GLenum
- pattern GL_UNIFORM_BUFFER_BINDING_EXT :: GLenum
- pattern GL_UNIFORM_BUFFER_EXT :: GLenum
- glGetUniformBufferSizeEXT :: MonadIO m => GLuint -> GLint -> m GLint
- glGetUniformOffsetEXT :: MonadIO m => GLuint -> GLint -> m GLintptr
- glUniformBufferEXT :: MonadIO m => GLuint -> GLint -> GLuint -> m ()

# Extension Support

glGetEXTBindableUniform :: MonadIO m => m Bool Source #

Is the EXT_bindable_uniform extension supported?

gl_EXT_bindable_uniform :: Bool Source #

Is the EXT_bindable_uniform extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTBindableUniform` in those cases instead.

# Enums

pattern GL_MAX_BINDABLE_UNIFORM_SIZE_EXT :: GLenum Source #

pattern GL_MAX_FRAGMENT_BINDABLE_UNIFORMS_EXT :: GLenum Source #

pattern GL_MAX_GEOMETRY_BINDABLE_UNIFORMS_EXT :: GLenum Source #

pattern GL_MAX_VERTEX_BINDABLE_UNIFORMS_EXT :: GLenum Source #

pattern GL_UNIFORM_BUFFER_BINDING_EXT :: GLenum Source #

pattern GL_UNIFORM_BUFFER_EXT :: GLenum Source #

# Functions

glGetUniformBufferSizeEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> m GLint |

glGetUniformOffsetEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> m GLintptr | of type `BufferOffset`.

glUniformBufferEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint | `buffer`.
-> m () |